locked
Install 2012 extension to 2010 RRS feed

  • Question

  • I've noticed that the 2012 extension VSIX file format is completely different from 2010. I need to install a 2012 extension to 2010. What is the supported way to do this? Is there a way to generate a VSIX that is compatible with 2010. How will this affect being able to distribute through the visual studio marketplace? Thanks
    Monday, October 29, 2012 3:36 PM

Answers

  • I believe you would need to use a 2010 manifest. I do not believe 2012 can generate such a thing. Generally, when you are multi-targeting you would use the lowest version of VS that you want to be supported on to ensure you don't end up referencing some dlls that won't be present on your install targets. In this case it sounds like you should make your package on 2010.

    Ryan

    • Marked as answer by tandragon Tuesday, October 30, 2012 7:52 PM
    Monday, October 29, 2012 5:41 PM